Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: EID-VIEWER - Mint 20.2  (gelezen 735 keer)

Offline seghele

  • Lid
  • Steunpunt: Nee
EID-VIEWER - Mint 20.2
« Gepost op: 2021/07/11, 15:48:16 »
Heb op een tweede partitie MINT-Cinnamon-20.2 geïnstalleerd.

Heb op de juiste site het bestand "eid-archive_2021.1_all.deb" gedownload.
sudo dpkg -i eid-archive_2021.1_all.deb
(Database wordt ingelezen ... 415354 bestanden en mappen momenteel geïnstalleerd.)
Uitpakken van eid-archive_2021.1_all.deb wordt voorbereid...
Bezig met uitpakken van eid-archive (2021.1) over (2020.2) ...
Instellen van eid-archive (2021.1) ...
WARNING: Unsupported distribution found. Please see the website at
https://eid.belgium.be/en/faq/which-linux-distributions-are-supported#7406
for a list of supported distributions.
Unknown distribution found. Using xenial as fallback.
Repository enabled, keys installed. Please run "apt-get update" followed by
"apt-get install eid-mw eid-viewer" to install the middleware and the viewer, respectively.

Vervolgens een sudo apt update gedaan.
Ten slotte:
$ sudo apt install eid-mw eid-viewer
Pakketlijsten worden ingelezen... Klaar
Boom van vereisten wordt opgebouwd       
De statusinformatie wordt gelezen... Klaar
Sommige pakketten konden niet geïnstalleerd worden. Dit kan betekenen
dat u om een onmogelijke situatie gevraagd heeft, of, indien u
de distributie 'unstable' gebruikt, dat sommige benodigde pakketten nog gemaakt moeten worden of uit 'Incoming' verwijderd werden.
De volgende informatie kan misschien helpen de situatie op te lossen:

De volgende pakketten hebben niet-voldane vereisten:
 eid-viewer : Vereisten: libcurl3 (>= 7.16.2) maar het is niet installeerbaar
              Vereisten: libeidviewer0 (>= 4.4.21v4.4.21-0u1604) maar het zal niet geïnstalleerd worden
              Vereisten: libssl1.0.0 (>= 1.0.0) maar het is niet installeerbaar
E: Kan problemen niet verhelpen, u houdt defecte pakketten vast.

Is dit een probleem met de nieuwe versie van MINT ???
 ???


Offline spievensterke

  • Lid
  • Steunpunt: Nee
Re: EID-VIEWER - Mint 20.2
« Reactie #1 Gepost op: 2021/07/11, 22:00:33 »
Citaat
Is dit een probleem met de nieuwe versie van MINT

Dat kan best, omdat je uw systeem hebt opgewaardeerd naar 20.2 en de " eid-archive_2021.1_all.deb " is voor 20.1.
Ik heb mijn zoon ook aangeraden om zijn LinuxMint 20.1 installatie/besturingssysteem NIET op te waarderen.

Even wat geduld hebben tot er een aanpassing wordt doorgevoerd ...
Maté - Rolling Release 64bit. Test Ubuntu 20.04/LinuxMint 20.xx
Test ArchLinux.

Offline M_aD

  • Lid
  • Steunpunt: Nee
Re: EID-VIEWER - Mint 20.2
« Reactie #2 Gepost op: 2021/07/12, 09:34:05 »
Citaat
Is dit een probleem met de nieuwe versie van MINT

Dat kan best, omdat je uw systeem hebt opgewaardeerd naar 20.2 en de " eid-archive_2021.1_all.deb " is voor 20.1.
Ik heb mijn zoon ook aangeraden om zijn LinuxMint 20.1 installatie/besturingssysteem NIET op te waarderen.

Even wat geduld hebben tot er een aanpassing wordt doorgevoerd ...

Lijkt mij totaal onlogisch van de eid deb ontwikkelaars omdat Mint 20, 20.1 en 20.2 exact dezelfde onderliggende technologie en basis gebruiken van Ubuntu 20.04. Alle geüpdate pakketten in de Mint 20 reeks zijn immers hetzelfde. De zogenaamde punt uitgaven van Mint zijn dus net als bij Ubuntu up to date iso's met bij de cinnamon editie enkel een nieuwere desktop versie en wat andere aanpassingen in hun software. Dus eigenlijk zou de .deb voor 20.1 ook moeten werken op 20.2.

Of zie ik het verkeerd?
Ubuntu CoC Signed.
Ubuntu Member sinds Oktober 2020.

Offline rico70

  • Lid
  • Steunpunt: Nee
Re: EID-VIEWER - Mint 20.2
« Reactie #3 Gepost op: 2021/07/12, 11:10:07 »
Ja je ziet het verkeerd. Niet alleen de Cinnamon desktop is een nieuwere versie, ook MATE en Xfce desktops krijgen een nieuwe versie (als tie er is). Xfce heeft in 20.2 de 4.16 versie gehad.
Als het alleen maar nieuwe iso's zoals bij de punt uitgaven van Ubuntu en Debian zou zijn zou je niet hoeven te upgraden maar veranderd je versie nr. met de gewone updates.

Offline seghele

  • Lid
  • Steunpunt: Nee
Re: EID-VIEWER - Mint 20.2
« Reactie #4 Gepost op: 2021/07/12, 11:25:11 »
Dank voor de diverse uitleg, maar het is toch zielig dat ze bij MINT deze problematiek niet kennen!
Het EID systeem is toch via Mint opgelost moeten worden?
 :rolleyes:

Offline spievensterke

  • Lid
  • Steunpunt: Nee
Re: EID-VIEWER - Mint 20.2
« Reactie #5 Gepost op: 2021/07/12, 15:46:44 »
De ontwikkelaars/programmeurs van LM hebben daar géén schuld aan.
Het is de maker/schrijver/programmeur van de eID Middleware die de aanpassingen naar een nieuwere versie moet doorvoeren.
Linux is voor hen géén prioriteit en dus, de gebruikers van Linux moeten geduld hebben en wachten tot er een bijgewerkte/aangepaste versie voor Linux aangeboden wordt.
Deze discussie is al gevoerd geweest op het LM-forum.nl ...en zal ik hier niet herhalen.
Geduldig afwachten ...
« Laatst bewerkt op: 2021/07/12, 15:50:46 door spievensterke »
Maté - Rolling Release 64bit. Test Ubuntu 20.04/LinuxMint 20.xx
Test ArchLinux.

Offline ecb

  • Lid
  • Steunpunt: Nee
Re: EID-VIEWER - Mint 20.2
« Reactie #6 Gepost op: 2021/07/12, 16:01:37 »
Hallo aan allen:

Mijn manier van werken om in te loggen op de overheidsdiensten:

Werkende laptop Mint 20.1 op 9 juli geüpgraded naar 20.2 zoals voorgesteld door Mint, werkende Eid installatie niets aan veranderd !
Direct geprobeerd om Eid te testen op een werkende laptop als volgt:

1- Google Chrome nog NIET opgestart !
2- Eerst Eid kaart in kaartlezer "DIGIPASS 905 by VASCO" geplaatst en nog niet in de USB stekker gestoken.
3- kaartlezer (met eid kaart erin) in USB gestoken en dan direct Google Chrome gestart en het groene ledje licht op en het rode ledje pinkt (add-on werkt !)
4- inloggen op eender welke overheidsdienst naar keuze: werkt onmiddellijk.

Deze volgorde gebruik ik iedere keer, daarstraks (halfuur geleden) toch nog eens getest bij E-box, alles werkt...

Groeten, Eric
Linux Mint 20.1 - Darktable - Scribus Appimage - Digikam Appimage - Gimp Appimage

Offline seghele

  • Lid
  • Steunpunt: Nee
Re: EID-VIEWER - Mint 20.2
« Reactie #7 Gepost op: 2021/07/12, 16:15:21 »
Ik gebruik geen Google "Chrome".

Maar de boodschap is duidelijk, WACHTEN !
 :(


Offline Ronaldus

  • Lid
  • Steunpunt: Nee
Re: EID-VIEWER - Mint 20.2
« Reactie #8 Gepost op: 2021/07/12, 16:34:29 »
Zie nog: https://eid.belgium.be/nl/faq/chrome-hoe-meld-ik-me-aan#7197

Chrome is wel een handige browser om erbij te hebben. In Nederland krijg ik op overheidssites vaker de boodschap dat mijn Firefox verouderd is.

Om Chrome via de terminal te installeren: (netjes na elkaar uitvoeren)

First download and install the key from Google Linux Repository. Or run the following command in the terminal, type the password for the user when prompted:
wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add -

After installing the key, run the below command to add it to the repository:
sudo sh -c 'echo "deb http://dl.google.com/linux/chrome/deb/ stable main" >> /etc/apt/sources.list.d/google-chrome.list'

To Update:
sudo apt-get update

To Install the Stable version:
sudo apt-get install google-chrome-stable
6 pc's in 'actieve dienst'. Daarop draaiend:
** Xub 20.04 (hoofd pc) ** W10 (thuiswerk-pc) ** Xub 20.04 (laptop 1) ** Mint Cinnamon 20 (laptop 2+3) ** Mint XFCE 20 (laptop 4) **
'Tips & tricks', zie: https://makkelijkelinuxtips.blogspot.com/p/1.html
Met Citrix thuiswerken: https://forum.ubuntu-nl.org/index.php?PHPSESSID=g42de1cthmuu0itrhai6gtq731&topic=109073.msg1058675#msg105867

Offline Phil II

  • Lid
  • Steunpunt: Nee
Re: EID-VIEWER - Mint 20.2
« Reactie #9 Gepost op: 2021/07/13, 14:17:49 »
Op mijn vraag naar BOSA toe

“ Besten , ik lees op diverse fora dat er problemen zijn bij de installatie v/d eID software met onder andere de recente release van Linux Mint 20.2 Uma . zou het kunnen dat dit te wijten is aan het feit dat de .deb pakketten nog moeten aangepast worden ? Met dank dit te laten weten ... kan het dan meteen melden, **********************************************
met vriendelijke groeten Philippe
Business Service: EID_MIDDLEWARE_S118 “

ontving ik volgend antwoord ;

“ v2021-07-13 12:06:34 CEST - ********************
Dag Philippe,
Het pakket werd inderdaad nog niet aangepast, ik check met onze developers en laat je asap iets weten.
Mvg,
********** “
« Laatst bewerkt op: 2021/07/13, 14:19:47 door Phil II »
Debian 11 Bullseye 64-bit stable / Cinnamon
HP LaserJet Pro MFP M130fw

Offline spievensterke

  • Lid
  • Steunpunt: Nee
Re: EID-VIEWER - Mint 20.2
« Reactie #10 Gepost op: 2021/07/13, 16:28:16 »
Bedankt Phil II voor uw schrijven naar BOSA en het hier mededelen van hun schrijven.

Ik heb dezelfde installatie ook nieuw uitgevoerd en kreeg net dezelfde berichten in de terminal en in Synaptic Pakketbeheerder te lezen.
Maar mijn verrassing is groot ... na inpluggen kaartlezer zie ik dat hij actief is -- ik schuif er mijn identiteitskaart in -- zie niks --- open FF en ga naar mypension.be waar ik mij aanmeld met de eid-kaartlezer --- het veiligheidscertificaat zie ik --- kan dan de pincode ingeven en ik ben ingelogd ...
Vreemd allemaal ...

P.S.:
Aanvulling:
Wanneer je LM 20.1 opwaardeert naar LM 20.2 dan heb je dat probleem niet met de eid-viewer --- het werkt nog gewoon en je kan zien dat de ID-kaart wordt uitgelezen (na openen van de eid-viewer = daarnet getest).

Dat is dus niet het geval wanneer je een volledige nieuwe installatie uitvoert van LM 20.2.

Ter kennisgeving.
Groet,
spievensterke.
« Laatst bewerkt op: 2021/07/13, 17:00:40 door spievensterke »
Maté - Rolling Release 64bit. Test Ubuntu 20.04/LinuxMint 20.xx
Test ArchLinux.

Offline Phil II

  • Lid
  • Steunpunt: Nee
Re: EID-VIEWER - Mint 20.2
« Reactie #11 Gepost op: 2021/07/13, 23:49:10 »
Op mijn vraag naar BOSA toe
“ Besten , ik lees op diverse fora dat er problemen zijn bij de installatie v/d eID software met onder andere de recente release van Linux Mint 20.2 Uma . zou het kunnen dat dit te wijten is aan het feit dat de .deb pakketten nog moeten aangepast worden ? Met dank dit te laten weten ... kan het dan meteen melden, **********************************************
met vriendelijke groeten Philippe
Business Service: EID_MIDDLEWARE_S118 “
ontving ik volgend antwoord ;
“ v2021-07-13 12:06:34 CEST - ********************
Dag Philippe,
Het pakket werd inderdaad nog niet aangepast, ik check met onze developers en laat je asap iets weten.
Mvg,
********** “
lijkt Overtoom wel  ;
het nieuwe aangepaste  Debian pakket  “ eid-archive_2021.1_all_2 .deb “ is inmiddels te downloaden op de site .
Installatie probleem zou hiermee van de baan moeten zijn .
Debian 11 Bullseye 64-bit stable / Cinnamon
HP LaserJet Pro MFP M130fw

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: EID-VIEWER - Mint 20.2
« Reactie #12 Gepost op: 2021/07/14, 19:54:09 »

lijkt Overtoom wel  ;
het nieuwe aangepaste  Debian pakket  “ eid-archive_2021.1_all_2 .deb “ is inmiddels te downloaden op de site .
Installatie probleem zou hiermee van de baan moeten zijn .

Dan mogen ze die ook aanpassen op de Nederlandse pagina. Op de Engelstalige pagina is de download die nieuwe versie. Als je klikt op de Nederlandse pagina is de download nog steeds de oude versie.
« Laatst bewerkt op: 2021/07/14, 20:01:18 door heir4c »
Tip: https://makkelijkelinuxtips.blogspot.com/p/1.html en http://wiki.ubuntu-nl.org/   Upload-site:http://imgur.com/
be Open be Free be Ubuntu

Offline Phil II

  • Lid
  • Steunpunt: Nee
Re: EID-VIEWER - Mint 20.2
« Reactie #13 Gepost op: 2021/07/14, 22:51:31 »
lijkt Overtoom wel  ;
het nieuwe aangepaste  Debian pakket  “ eid-archive_2021.1_all_2 .deb “ is inmiddels te downloaden op de site .
Installatie probleem zou hiermee van de baan moeten zijn .
Dan mogen ze die ook aanpassen op de Nederlandse pagina. Op de Engelstalige pagina is de download die nieuwe versie. Als je klikt op de Nederlandse pagina is de download nog steeds de oude versie.
goed dat U dit opmerkt , hebt het meteen gemeld :
Van: Philippe <************>
Aan: BOSA DT Service Desk <bosadt@service-now.com>
Onderwerp: Re: Incident INC0516177 -- comments added
Datum: Wed, 14 Jul 2021 22:36:56 +0200

beste ********,
wij stellen vast dat op de engels-talige site de nieuwe versie eid-archive_2021.1_all_2 .deb inmiddels beschikbaar is .
de nederlands- , frans- en duitstaligen moeten het echter nog stellen met de vorige versie !!!
dringend rechtzetten ?
met vriendelijke groeten
Philippe

dank U
Debian 11 Bullseye 64-bit stable / Cinnamon
HP LaserJet Pro MFP M130fw

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: EID-VIEWER - Mint 20.2
« Reactie #14 Gepost op: 2021/07/14, 22:59:27 »
Graag gedaan!
Dank u voor het doorgeven.
« Laatst bewerkt op: 2021/07/14, 23:05:52 door heir4c »
Tip: https://makkelijkelinuxtips.blogspot.com/p/1.html en http://wiki.ubuntu-nl.org/   Upload-site:http://imgur.com/
be Open be Free be Ubuntu

Offline Phil II

  • Lid
  • Steunpunt: Nee
Re: EID-VIEWER - Mint 20.2
« Reactie #15 Gepost op: 2021/07/15, 13:11:16 »
al even graag ! ... voor zover BOSA :

2021-07-15 12:09:12 CEST - **************
Dag Philippe,
Voor alle talen werd er een nieuwe versie geupload, deze ondersteunt nu wel "Uma"( alsook Hirsute Hippo )
Kan je het nogmaals proberen?
Mvg,
*********
Downloads voor ondersteunde distributies:
        ◦ Debian 9 "Stretch"
        ◦ Debian 10 "Buster"
        ◦ Ubuntu 18.04 LTS "Bionic Beaver"
        ◦ Ubuntu 20.04 LTS "Focal Fossa"
        ◦ Ubuntu 21.04 "Hirsute Hippo"
        ◦ Linux Mint 19.3 "Tricia"
        ◦ Linux Mint 20.2 "Uma"
Debian 11 Bullseye 64-bit stable / Cinnamon
HP LaserJet Pro MFP M130fw

Offline spievensterke

  • Lid
  • Steunpunt: Nee
Re: EID-VIEWER - Mint 20.2
« Reactie #16 Gepost op: 2021/07/15, 23:58:54 »
@ seghele,
@ forumleden (België),

Nieuwe installatie LinuxMint 20.2 Cinnamon:

- vandaag nieuwe updates waaronder eid-mw --- na uitvoering ervan werkt de eID kaartlezer.

De eID kaartlezer is nu ook terug te vinden in het menu: Alle toepassingen --> eID Kaartlezer.



Ter kennisgeving.

Groet,
spievensterke.
« Laatst bewerkt op: 2021/07/16, 00:14:15 door spievensterke »
Maté - Rolling Release 64bit. Test Ubuntu 20.04/LinuxMint 20.xx
Test ArchLinux.